Bug 361241 - Review Request: rubygem-actionwebservice - Web service support for Action Pack
Review Request: rubygem-actionwebservice - Web service support for Action Pack
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 361191
  Show dependency treegraph
 
Reported: 2007-10-31 21:55 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 18:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sseago: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-10-31 21:55:08 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-actionwebservice.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-actionwebservice-1.2.5-1.src.rpm

Description:

Adds WSDL/SOAP and XML-RPC web service support to Action Pack
Comment 1 Scott Seago 2007-11-07 11:53:55 EST
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 
OK - BuildRequires sufficient
OK - File permissions set properly (except for rpmlint error below)
OK - Macro usage is consistent

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

??? - BuildRoot value: not sure if this is really a problem, but it
  looks like %{release} is omitted:

  BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
 vs.
             %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

FIX - TODO not installed as %doc
  general doc question: docs are installed as doc in
  %{_docdir}/%{name}-%{version} but still included as regular gem
  files in %{geminstdir} -- should they be in one place or the other
  but not both? Is there a clear preference (some of the other rubygem
  packages -- both yours and mine include the doc in the gem, not in /usr/share/doc

FIX - rpmlint complains 
E: rubygem-actionwebservice non-executable-script
/usr/lib/ruby/gems/1.8/gems/actionwebservice-1.2.5/test/gencov 0644
E: rubygem-actionwebservice non-executable-script
/usr/lib/ruby/gems/1.8/gems/actionwebservice-1.2.5/test/run 0644
Comment 2 David Lutterkort 2007-11-13 23:32:52 EST
Fixed: buildroot
Fixed: marked things in geminstdir properly as %doc

The two rpmlint complaints are about test helper scripts - I don't want to force
them to mode 644 for security, but also want to change as little as has to be
changed from upstream (like editing out the #! lines). So I've left them as is.

Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-actionwebservice.spec
SRPM URL:
http://people.redhat.com/dlutter/yum/SRPMS/rubygem-actionwebservice-1.2.5-2.src.rpm
Comment 3 Scott Seago 2007-11-14 16:59:50 EST
Approved
Comment 4 David Lutterkort 2007-11-28 14:21:04 EST
New Package CVS Request
=======================
Package Name: rubygem-actionwebservice
Short Description: Web service support for Action Pack
Owners: lutter,sseago
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-28 18:25:11 EST
cvs done.
Comment 6 David Lutterkort 2007-12-03 18:50:19 EST
Successfully imported and built.

Note You need to log in before you can comment on or make changes to this bug.